aboutsummaryrefslogtreecommitdiffstats
path: root/main/tvheadend/tvheadend.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2012-10-31 17:06:00 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2012-10-31 17:06:20 +0100
commit94c89210906a941924a7caa6702231e5c69fdbca (patch)
tree2955908394308f64675334a15d1e3365bcaf3baf /main/tvheadend/tvheadend.initd
parenta269bf373eda86efdfc05ed54cc26215eec14330 (diff)
downloadaports-94c89210906a941924a7caa6702231e5c69fdbca.tar.bz2
aports-94c89210906a941924a7caa6702231e5c69fdbca.tar.xz
testing/tvheadend: move to main
Diffstat (limited to 'main/tvheadend/tvheadend.initd')
-rw-r--r--main/tvheadend/tvheadend.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/main/tvheadend/tvheadend.initd b/main/tvheadend/tvheadend.initd
new file mode 100644
index 0000000000..c244dd63ff
--- /dev/null
+++ b/main/tvheadend/tvheadend.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting tvheadend"
+ start-stop-daemon --start \
+ --user ${TVHUSER} \
+ --exec ${TVHBIN} -- -C -f -c \
+ ${TVHCONF}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tvheadend"
+ start-stop-daemon --stop --quiet --name tvheadend --signal 2
+ eend $?
+}